
Redmine - Defect #5566

Duplicating changes of issue properties in history.

2010-05-21 07:17 - Alexey Sulimov

Status: Closed Start date: 2010-05-21

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 100%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.9.3

Description

Hi!

Thanks for great project Redmine, we use it in our corporation.

But after upgrading from 0.8.4 to 0.9.3 strange defect was happened.

If any property if issue has changed, there is duplicate records in history and in database.

For example (history fragment):

•Status changed from New to Resolved

•Status changed from New to Resolved

-----

If several changes, they duplicate as packet.

For example (history fragment):

•Status changed from New to Resolved

•Assigned to deleted (Paul Rivier)

•% Done changed from 0 to 10

•Status changed from New to Resolved

•Assigned to deleted (Paul Rivier)

•% Done changed from 0 to 10

-------

I explored appended data in the MySQL table 'journal_details',

records (or several records) also was duplicated (see attached picture).

Plrase, HELP, what could be wrong???

How to fix this bug?

Thank you!

Alexey.

History

#1 - 2010-05-22 10:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Please, read SubmittingBugs. This is not a helpdesk here.

#2 - 2010-06-02 10:42 - Alexey Sulimov

- % Done changed from 0 to 100

I've resolved this problem.

"Redmine Issues Group plugin" by  Andrew Chaika v.0.1.4 was responsible for that bug.

I've upgraded that plugin up to version 0.1.7, and all is OK after that.

ruby 1.8.7 (2009-04-08 patchlevel 160) [i686-linux]

Rails 2.3.5

gem 1.3.4

rack 1.0.1
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs


MySQL 5.0.67

P.S. I'm sorry to Jean-Philippe Lang for this bad request/issue.
